# Class CIM_iSCSICapabilities
extends CIM_Capabilities

The capabilites for an iSCSI Network Entity. An instance of this class will be associated by ElementCapabilities to a instance of ComputerSystem that represents the Network Entity. These capability properties are associated to a Network Entity/ComputerSystem since they affect all login negotiations on all iSCSI ProtocolEndpoints aggregated to the system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_iSCSICapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The capabilites for an iSCSI Network Entity. An instance of this class will be associated by ElementCapabilities to a instance of ComputerSystem that represents the Network Entity. These capability properties are associated to a Network Entity/ComputerSystem since they affect all login negotiations on all iSCSI ProtocolEndpoints aggregated to the system.
UMLPackagePath | string | CIM::Network::iSCSI
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MaximumSpecificationVersionSupported | uint8 |
Description | string | The maximum version number of the iSCSI specification such that this iSCSI instance supports this maximum value, the minimum value indicated by the corresponding property MinimumSpecificationVersionSupported, and all versions in between.
MappingStrings | string | MIB.IETF|ISCSI-MIB.iscsiInstVersionMax
MaxValue | sint64 | 255
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_iSCSICapabilities.MinimumSpecificationVersionSupported, CIM_iSCSIConnection.ActiveiSCSIVersion
MinimumSpecificationVersionSupported | uint8 |
Description | string | The minimum version number of the iSCSI specification such that this iSCSI instance supports this minimum value, the maximum value indicated by the corresponding property MaximumSpecificationVersionSupported, and all versions in between.
MappingStrings | string | MIB.IETF|iSCSI-MIB.iscsiInstVersionMin
MaxValue | sint64 | 255
MinValue | sint64 | 0
ModelCorrespondence | string | CIM_iSCSICapabilities.MaximumSpecificationVersionSupported, CIM_iSCSIConnection.ActiveiSCSIVersion
AuthenticationMethodsSupported | uint16[] |
ArrayType | string | Indexed
Description | string | An array containing a list of authentication methods supported by this Network Entity.
MappingStrings | string | MIB.IETF|IPS-AUTH-MIB.ipsAuthCredAuthMethod
ModelCorrespondence | string | CIM_iSCSIConnectionSettings.PrimaryAuthenticationMethod, CIM_iSCSIConnectionSettings.SecondaryAuthenticationMethod, CIM_iSCSIConnection.AuthenticationMethodUsed
ValueMap | string | 2, 3, 4, 5
Values | string | (None, SRP, CHAP, Kerberos

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods